<?php
/*
Plugin Name:  Fix WPGive forms
Plugin URI:   https://givewp.com/documentation/core/frequent-troubleshooting-issues/admin-ajax-blocked/
Description:  Silence the "AJAX does not appear accessible" nag in WPGive 2.0
Version:      20180201
Author:       Andrzej Godziuk
Author URI:   https://massivescale.net/
License:      Public Domain
License URI:  http://creativecommons.org/licenses/publicdomain/
*/


defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

/**
 * Always return true for Give's AJAX check.
 *
 * If Give is throwing a false positive for admin-ajax accessibility this will bypass the check within give_test_ajax_works.
 *
 * @return bool
 */
function my_ajax_works_and_im_positive() {
   return true;
}

add_filter( 'give_test_ajax_works', 'my_ajax_works_and_im_positive' );
